Skip to main content
GET
/
api
/
projects
/
{projectId}
/
releases
/
{releaseId}
/
files
/
{fileId}
Get a release file
curl --request GET \
  --url https://api.example.com/api/projects/{projectId}/releases/{releaseId}/files/{fileId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/projects/{projectId}/releases/{releaseId}/files/{fileId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/projects/{projectId}/releases/{releaseId}/files/{fileId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "path": "<string>",
  "releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "contentType": "<string>",
  "contentHash": "<string>",
  "versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "<string>",
  "previousReleaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "previousId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "content": "<unknown>",
  "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

projectId
string<uuid>
required

Project unique identifier

releaseId
string<uuid>
required

Release unique identifier

fileId
string<uuid>
required

File unique identifier

Response

200 - application/json

Release file with content

Release file with content

id
string<uuid>
required

File unique identifier

path
string
required

File path within the release

releaseId
string<uuid>
required

ID of the release this file belongs to

name
string | null

File name

contentType
string | null

MIME type of the file

contentHash
string | null

MD5 hash of the file content

versionId
string<uuid> | null

Document version ID

createdAt
string | null

File creation timestamp

diffStatus
enum<string>

Diff status when comparing releases

Available options:
added,
modified,
removed,
unchanged
previousReleaseId
string<uuid>

Previous release ID for modified files

previousId
string<uuid>

Previous file ID for modified files

content
any | null

File content (decision graph data)

documentId
string<uuid> | null

Associated document ID